#ifndef __S2_ESP_INPUT_2_0_H__
#define __S2_ESP_INPUT_2_0_H__




/*
* Constructor and Destructor
*/

/*
* DIGITAL_INPUT
*/
#define __S2_ESP_Input_2_0_GETINPUTTYPE_DIG_INPUT 0
#define __S2_ESP_Input_2_0_GETINPUTGAIN_DIG_INPUT 1
#define __S2_ESP_Input_2_0_GETINPUTLEVEL_DIG_INPUT 2
#define __S2_ESP_Input_2_0_GETINPUTMUTE_DIG_INPUT 3
#define __S2_ESP_Input_2_0_GETINPUTPHANTOM_DIG_INPUT 4


/*
* ANALOG_INPUT
*/

#define __S2_ESP_Input_2_0_SETINPUTTYPE$_STRING_INPUT 0
#define __S2_ESP_Input_2_0_SETINPUTTYPE$_STRING_MAX_LEN 1
CREATE_STRING_STRUCT( S2_ESP_Input_2_0, __SETINPUTTYPE$, __S2_ESP_Input_2_0_SETINPUTTYPE$_STRING_MAX_LEN );
#define __S2_ESP_Input_2_0_SETINPUTGAIN$_STRING_INPUT 1
#define __S2_ESP_Input_2_0_SETINPUTGAIN$_STRING_MAX_LEN 2
CREATE_STRING_STRUCT( S2_ESP_Input_2_0, __SETINPUTGAIN$, __S2_ESP_Input_2_0_SETINPUTGAIN$_STRING_MAX_LEN );
#define __S2_ESP_Input_2_0_SETINPUTLEVEL$_STRING_INPUT 2
#define __S2_ESP_Input_2_0_SETINPUTLEVEL$_STRING_MAX_LEN 6
CREATE_STRING_STRUCT( S2_ESP_Input_2_0, __SETINPUTLEVEL$, __S2_ESP_Input_2_0_SETINPUTLEVEL$_STRING_MAX_LEN );
#define __S2_ESP_Input_2_0_SETINPUTMUTE$_STRING_INPUT 3
#define __S2_ESP_Input_2_0_SETINPUTMUTE$_STRING_MAX_LEN 1
CREATE_STRING_STRUCT( S2_ESP_Input_2_0, __SETINPUTMUTE$, __S2_ESP_Input_2_0_SETINPUTMUTE$_STRING_MAX_LEN );
#define __S2_ESP_Input_2_0_SETINPUTPHANTOM$_STRING_INPUT 4
#define __S2_ESP_Input_2_0_SETINPUTPHANTOM$_STRING_MAX_LEN 1
CREATE_STRING_STRUCT( S2_ESP_Input_2_0, __SETINPUTPHANTOM$, __S2_ESP_Input_2_0_SETINPUTPHANTOM$_STRING_MAX_LEN );
#define __S2_ESP_Input_2_0_MODULENAME$_STRING_INPUT 5
#define __S2_ESP_Input_2_0_MODULENAME$_STRING_MAX_LEN 255
CREATE_STRING_STRUCT( S2_ESP_Input_2_0, __MODULENAME$, __S2_ESP_Input_2_0_MODULENAME$_STRING_MAX_LEN );

#define __S2_ESP_Input_2_0_RX$_BUFFER_INPUT 6
#define __S2_ESP_Input_2_0_RX$_BUFFER_MAX_LEN 255
CREATE_STRING_STRUCT( S2_ESP_Input_2_0, __RX$, __S2_ESP_Input_2_0_RX$_BUFFER_MAX_LEN );


/*
* DIGITAL_OUTPUT
*/


/*
* ANALOG_OUTPUT
*/

#define __S2_ESP_Input_2_0_INPUTTYPEFB$_STRING_OUTPUT 0
#define __S2_ESP_Input_2_0_INPUTGAINFB$_STRING_OUTPUT 1
#define __S2_ESP_Input_2_0_INPUTLEVELFB$_STRING_OUTPUT 2
#define __S2_ESP_Input_2_0_INPUTMUTEFB$_STRING_OUTPUT 3
#define __S2_ESP_Input_2_0_INPUTPHANTOMFB$_STRING_OUTPUT 4
#define __S2_ESP_Input_2_0_TX$_STRING_OUTPUT 5


/*
* Direct Socket Variables
*/




/*
* INTEGER_PARAMETER
*/
/*
* SIGNED_INTEGER_PARAMETER
*/
/*
* LONG_INTEGER_PARAMETER
*/
/*
* SIGNED_LONG_INTEGER_PARAMETER
*/
/*
* INTEGER_PARAMETER
*/
/*
* SIGNED_INTEGER_PARAMETER
*/
/*
* LONG_INTEGER_PARAMETER
*/
/*
* SIGNED_LONG_INTEGER_PARAMETER
*/
/*
* STRING_PARAMETER
*/


/*
* INTEGER
*/


/*
* LONG_INTEGER
*/


/*
* SIGNED_INTEGER
*/


/*
* SIGNED_LONG_INTEGER
*/


/*
* STRING
*/
#define __S2_ESP_Input_2_0_COMMANDTOFIND$_STRING_MAX_LEN 255
CREATE_STRING_STRUCT( S2_ESP_Input_2_0, __COMMANDTOFIND$, __S2_ESP_Input_2_0_COMMANDTOFIND$_STRING_MAX_LEN );
#define __S2_ESP_Input_2_0_INCOMMAND$_STRING_MAX_LEN 1000
CREATE_STRING_STRUCT( S2_ESP_Input_2_0, __INCOMMAND$, __S2_ESP_Input_2_0_INCOMMAND$_STRING_MAX_LEN );
#define __S2_ESP_Input_2_0_MUTESTATE_STRING_MAX_LEN 1
CREATE_STRING_STRUCT( S2_ESP_Input_2_0, __MUTESTATE, __S2_ESP_Input_2_0_MUTESTATE_STRING_MAX_LEN );
#define __S2_ESP_Input_2_0_PHANTOMSTATE_STRING_MAX_LEN 1
CREATE_STRING_STRUCT( S2_ESP_Input_2_0, __PHANTOMSTATE, __S2_ESP_Input_2_0_PHANTOMSTATE_STRING_MAX_LEN );
#define __S2_ESP_Input_2_0_GAINSTATE_STRING_MAX_LEN 2
CREATE_STRING_STRUCT( S2_ESP_Input_2_0, __GAINSTATE, __S2_ESP_Input_2_0_GAINSTATE_STRING_MAX_LEN );
#define __S2_ESP_Input_2_0_TYPESTATE_STRING_MAX_LEN 1
CREATE_STRING_STRUCT( S2_ESP_Input_2_0, __TYPESTATE, __S2_ESP_Input_2_0_TYPESTATE_STRING_MAX_LEN );

/*
* STRUCTURE
*/

START_GLOBAL_VAR_STRUCT( S2_ESP_Input_2_0 )
{
   void* InstancePtr;
   struct GenericOutputString_s sGenericOutStr;
   unsigned short LastModifiedArrayIndex;

   DECLARE_STRING_STRUCT( S2_ESP_Input_2_0, __SETINPUTTYPE$ );
   DECLARE_STRING_STRUCT( S2_ESP_Input_2_0, __SETINPUTGAIN$ );
   DECLARE_STRING_STRUCT( S2_ESP_Input_2_0, __SETINPUTLEVEL$ );
   DECLARE_STRING_STRUCT( S2_ESP_Input_2_0, __SETINPUTMUTE$ );
   DECLARE_STRING_STRUCT( S2_ESP_Input_2_0, __SETINPUTPHANTOM$ );
   DECLARE_STRING_STRUCT( S2_ESP_Input_2_0, __MODULENAME$ );
   DECLARE_STRING_STRUCT( S2_ESP_Input_2_0, __RX$ );
};

START_NVRAM_VAR_STRUCT( S2_ESP_Input_2_0 )
{
   DECLARE_STRING_STRUCT( S2_ESP_Input_2_0, __COMMANDTOFIND$ );
   DECLARE_STRING_STRUCT( S2_ESP_Input_2_0, __INCOMMAND$ );
   DECLARE_STRING_STRUCT( S2_ESP_Input_2_0, __MUTESTATE );
   DECLARE_STRING_STRUCT( S2_ESP_Input_2_0, __PHANTOMSTATE );
   DECLARE_STRING_STRUCT( S2_ESP_Input_2_0, __GAINSTATE );
   DECLARE_STRING_STRUCT( S2_ESP_Input_2_0, __TYPESTATE );
   unsigned short __OPERATION;
   unsigned short __COMMANDTOFINDLEN;
   unsigned short __PARSING;
};



#endif //__S2_ESP_INPUT_2_0_H__

